
import { request } from '@umijs/max';


const dictTypeApi= {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: dictType.addInput) {
        return request('/api/dictType/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: dictType.delInput) {
        return request(`/api/dictType/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: dictType.updateInput) {
        return request('/api/dictType/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/dictType/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: dictType.queryParms) {
        return request('/api/dictType/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: dictType.queryPage) {
        return request('/api/dictType/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

}

const dictDataApi= {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: dictData.addInput) {
        return request('/api/dictData/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: dictData.delInput) {
        return request(`/api/dictData/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: dictData.updateInput) {
        return request('/api/dictData/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/dictData/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: dictData.queryParms) {
        return request('/api/dictData/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: dictData.queryPage) {
        return request('/api/dictData/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

}

export {dictTypeApi,dictDataApi}

